# `BB.Error.Hardware.BusError`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/hardware/bus_error.ex#L5)

Communication bus error (I2C, serial, etc.).

Raised when there's a low-level bus communication failure.

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Hardware.BusError{
  __exception__: true,
  address: term(),
  bread_crumbs: term(),
  bus: term(),
  class: term(),
  operation: term(),
  path: term(),
  reason: term(),
  splode: term(),
  stacktrace: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Hardware.BusError` without raising it.

## Keys

- :bus
- :address
- :operation
- :reason

---

*Consult [api-reference.md](api-reference.md) for complete listing*
